import setuptools

with open("requirements.txt") as fr:
    required = fr.read().splitlines()

with open("README.md", "r", encoding="utf-8") as fh:
    long_description = fh.read()

setuptools.setup(
    name="smip-trends_crawler",
    version="0.0.3",
    author="Sandbox Network",
    author_email="jseo@sandboxnetwork.net",
    description="Crawling for trends data",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://github.com/sandboxnetwork/smip-trends-crawler",
    project_urls={
        "Bug Tracker": "https://github.com/sandboxnetwork/smip-trends-crawler/issues",
    },
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    package_dir={"": "src"},
    packages=setuptools.find_packages(where="src"),
    python_requires=">=3.9",
    install_requires=required,
)
